Create a comment
POST
/contact/{identifier}/comment
const url = 'https://api.aelyst.ai/v1/contact/example/comment';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"text":"This is a comment"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.aelyst.ai/v1/contact/example/comment \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "text": "This is a comment" }'Adds a comment to the specific contact for internal reference.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”identifier
required
string
Identifier of the contact that can either be a phone number, email or contact ID. Examples: id:123 , email:abdc@gmail.com , phone:+60121233112
Request Bodyrequired
Section titled “Request Bodyrequired”You can mention other users using {{@user.ID}} in the comment where ID is the user ID.
Media typeapplication/json
object
text
required
string
Examples
{ "text": "This is a comment"}{ "text": "Please look into this contact {{@user.1}}"}{ "text": "Comment about {{$contact.name}}"}Responses
Section titled “Responses”Media typeapplication/json
object
contactId
ID of the contact for which the comment was added.
integer
text
Text of the comment.
string
created_at
Unix timestamps in seconds representing the time at which the comment was added.
integer
Example
{ "text": "You just commented from the API", "created_at": 1662979868}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Comment length must not be greater than 1000 characters"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 404, "message": "Contact not found"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 449, "message": "Your request cannot be processed at the moment as it is currently in queue. Please try again in a few minutes."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}